Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class CopyObjectResult

    java.lang.Object
      com.amazonaws.services.s3.model.CopyObjectResult

    public class CopyObjectResult

extends Object

Contains the data returned by Amazon S3 from the copy object operation. Callers can of course ignore this result if they don't need any of the data, otherwise they can access information about the new object created from the copy object operation, such as its ETag and last modification date.

See Also:
  `AmazonS3Client.copyObject(String, String, String, String)`, `AmazonS3Client.copyObject(com.amazonaws.services.s3.model.CopyObjectRequest)`

Constructor Summary
`CopyObjectResult()`

Method Summary
`String` | `getETag()` Returns the ETag value for the new object that was created in the associated copy object request.
`Date` | `getLastModifiedDate()` Returns the last modified date for the object that was created in the associated copy object request.
`String` | `getVersionId()` Returns the version ID of the new, copied object.
`void` | `setETag(String etag)` Sets the ETag value for the new object that was created from the associated copy object request.
`void` | `setLastModifiedDate(Date lastModifiedDate)` Sets the last modified date for the object that was created in the associated copy object request.
`void` | `setVersionId(String versionId)` Sets the version ID of the new, copied object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyObjectResult

    public CopyObjectResult()

Method Detail

### getETag

    public String getETag()

  Returns the ETag value for the new object that was created in the associated copy object request.

  Returns:
    The ETag value for the new object.

### setETag

    public void setETag(String etag)

  Sets the ETag value for the new object that was created from the associated copy object request.

  Parameters:
    `etag` - The ETag value for the new object.

### getLastModifiedDate

    public Date getLastModifiedDate()

  Returns the last modified date for the object that was created in the associated copy object request.

  Returns:
    The last modified date for the new object.

### setLastModifiedDate

    public void setLastModifiedDate(Date lastModifiedDate)

  Sets the last modified date for the object that was created in the associated copy object request.

  Parameters:
    `lastModifiedDate` - The last modified date for the new object.

### getVersionId

    public String getVersionId()

  Returns the version ID of the new, copied object. This field will only be present if object versioning has been enabled for the bucket to which the object was copied.

  Returns:
    The version ID of the new, copied object.

### setVersionId

    public void setVersionId(String versionId)

  Sets the version ID of the new, copied object.

  Parameters:
    `versionId` - The version ID of the new, copied object.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.